
;+

function hsi_mreadfits,files

;NAME:
;     HSI_MREADFITS
;PURPOSE:
;     Read multiple RHESSI FITS files into an object array
;CATEGORY:
;CALLING SEQUENCE:
;     oarray = hsi_mreadfits(files)
;INPUTS:
;     files = array of FITS file names
;OPTIONAL INPUT PARAMETERS:
;KEYWORD PARAMETERS
;OUTPUTS:
;     oarray = array of RHESSI image objects
;COMMON BLOCKS:
;SIDE EFFECTS:
;RESTRICTIONS:
;PROCEDURE:
;     Calls hsi_image_fitsread multiple times
;MODIFICATION HISTORY:
;     T. Metcalf 2002-May-09
;-


   nfiles = n_elements(files)
   for i=0L,nfiles-1L do begin
      if i EQ 0 then oo = hsi_image_fitsread(fitsfile=files[i],/object) $
      else oo = [oo,hsi_image_fitsread(fitsfile=files[i],/object)]
   endfor

   return,oo

end
